liborigin 2.0.0

Functions
/tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/CMakeLists.txt File Reference

## Functions
config h OriginObj h OriginFile h OriginParser h tree hh | add_library (origin SHARED ${sources}) set_target_properties(origin PROPERTIES VERSION $
| cmake_minimum_required (VERSION 2.8) find_package(Boost REQUIRED) include_directories($
config h | include_directories (${CMAKE_CURRENT_BINARY_DIR}) set(sources OriginFile.cpp OriginParser.cpp OriginDefaultParser.cpp Origin600Parser.cpp Origin610Parser.cpp Origin700Parser.cpp Origin750Parser.cpp Origin800Parser.cpp Origin810Parser.cpp) set(devel-headers $
| set (LIBORIGIN_VERSION_MAJOR 2) set(LIBORIGIN_VERSION_MINOR 0) set(LIBORIGIN_VERSION_BUGFIX 0) configure_file(config.h.in $

## Function Documentation

## ◆ add_library()

config h OriginObj h OriginFile h OriginParser h tree hh add_library | ( | origin SHARED ${sources} |  | ) |

## ◆ cmake_minimum_required()

cmake_minimum_required | ( | VERSION 2. | 8 | ) |

## ◆ include_directories()

config h include_directories | ( |  | ${CMAKE_CURRENT_BINARY_DIR} | ) |

## ◆ set()

set | ( | LIBORIGIN_VERSION_MAJOR | 2 | ) |